SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001044SiT!inbound emailpublic2010-01-19 09:082011-06-04 16:02
Reporternicdev 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSWindowsOS VersionXP+Later
Product Version3.50 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001044: Issues with special characters in email addresses
DescriptionHaving discussed this before at length, it has come to our knowledge that characters may be used in email addresses, and it seems to be more and more the case. For internet based providers these are generally not allowed (like hotmail), but it seems in the commercial domains, the rules are more relaxed.

According to RFC 3696 and errata we found this:
The local-part of the e-mail address may use any of these ASCII characters:

    * Uppercase and lowercase English letters (a-z, A-Z)
    * Digits 0 to 9
    * Characters ! # $ % & ' * + - / = ? ^ _ ` { | } ~
    * Character . (dot, period, full stop) provided that it is not the first or last character, and provided also that it does not appear two or more times consecutively.

We have had one customer with a ' in his address, and even though the email now imports correctly (thanks to Ivan's changes to the inbound email script), the further steps like creating the case from the holding queue failed.

I propose that we have a look at this as it may in future become an issue ..
Additional Informationas a temporary workaround i am writing a line into the inbound script for this one guy's email address, but if there are more it will become unmanageable.

I will try to find exactly where the issue is occurring in the creation process as it was not me that created the case.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0002290)
ivan (administrator)
2010-01-19 10:31

I wasn't aware we still had these issues, but I agree that we need to do some extensive testing around this and make sure that all possible combinations work fine. It would help a lot to have some test cases, some example email addresses that are known to fail.

You haven't specifically mentioned but I assume that this is an issue for incoming email only?
User avatar (0002398)
nicdev (developer)
2010-02-20 11:59

Ivan,

Yes this is incoming mail issues. I rememeber the guy had a ' in his address.

I need to be at work next week to send an example email.
User avatar (0002696)
ivan (administrator)
2010-03-14 19:04

Tested this with the current Git 4.x branch and the ridiculous email address of

!#$%&'*+-/=?^_`{|}~@example.com

And the tempincoming table held no email address, so yes, somewhere along the line we still have a problem with this.
User avatar (0003158)
nicdev (developer)
2010-05-18 18:52
edited on: 2010-05-18 18:53

UPDATE:

This also affects Outgoing email, will have to encode all address fields for inbound and outbound email.

We also had an email address with an '&'

User avatar (0003507)
ivan (administrator)
2010-12-18 15:47

If there are issues with outgoing email separate bug reports need to be logged.
User avatar (0003508)
ivan (administrator)
2010-12-18 15:53

Inbound email addresses containing & (ampersand) seem fine to me, testing with 3.63 pre-release (r6800)
User avatar (0003509)
nicdev (developer)
2010-12-18 16:21

Thanks Ivan, I will log another bug for outgoing ;)

When you imported the email, did it show correctly in the holding queue? Meaning did it "find" the contact and put it in the blue part of the list (known contacts)?
User avatar (0003511)
ivan (administrator)
2010-12-18 16:56

r6815 adds a workaround
User avatar (0003512)
ivan (administrator)
2010-12-19 11:31

Yes it shows correctly in the holding queue (with an ampersand in the address). It's not possible to fully test the insane test data address !#$%&'*+-/=?^_`{|}~@example.com because another bug means you can't configure that to be a contacts address.
User avatar (0003833)
ivan (administrator)
2011-06-04 16:02

Fixed the last part of this in Git 1785753

- Issue History
Date Modified Username Field Change
2010-01-19 09:08 nicdev New Issue
2010-01-19 10:31 ivan Note Added: 0002290
2010-01-19 10:31 ivan Status new => confirmed
2010-02-20 11:59 nicdev Note Added: 0002398
2010-03-14 19:04 ivan Note Added: 0002696
2010-03-14 19:07 ivan Target Version => 4.0
2010-05-18 18:52 nicdev Note Added: 0003158
2010-05-18 18:53 nicdev Note Edited: 0003158 View Revisions
2010-12-18 15:47 ivan Note Added: 0003507
2010-12-18 15:53 ivan Note Added: 0003508
2010-12-18 16:21 nicdev Note Added: 0003509
2010-12-18 16:21 ivan Status confirmed => assigned
2010-12-18 16:21 ivan Assigned To => ivan
2010-12-18 16:56 ivan Note Added: 0003511
2010-12-19 11:31 ivan Note Added: 0003512
2011-02-14 13:21 ivan Target Version 4.0 => 3.90beta1
2011-06-04 16:02 ivan Note Added: 0003833
2011-06-04 16:02 ivan Status assigned => resolved
2011-06-04 16:02 ivan Fixed in Version => Current GIT
2011-06-04 16:02 ivan Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker